<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_4c760fb02a49c55509ba087" . "b84fbda45" => base64_decode("ZHJhZn" . "Q="), "_6a90de6af30bf72" . "0b668cfb570e606d" . "e" => base64_decode("cHJldl9z" . "dGF0ZQ=="), "_939c6a45ff74323dbef487ed1" . "5753a7c" => base64_decode("c3Rh" . "dGU="), "_b2f5a10045116439" . "6178c16d2a5c6899" => base64_decode("cHJldl90a" . "XRsZQ=="), "_2e858fb1973337f" . "53ff85c104fcb38f" . "4" => base64_decode("cHVibG" . "lzaGVk"), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0" . "bGU="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_b2f5a100451164396178c16d2a" . "5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["tit" . "le"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6a90de6af30bf720b6" . "68cfb570e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_939c6a45ff74323dbef487ed15753" . "a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_939c6a45ff743" . "23dbef487ed157" . "53a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4c760fb02a49c5" . "5509ba087b84fbd" . "a45"];
        }
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2e858fb1973337f53ff85c" . "104fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}